/*
 * BookmarkMenu.h
 *
 * (c) 2002 by Thorsten Scheuermann <tscheuermann@gmx.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef _BOOKMARKMENU_H
#define _BOOKMARKMENU_H

#include <qpopupmenu.h>

class Bookmark;
class QPoint;

class BookmarkMenu : public QPopupMenu
{
  Q_OBJECT

public:
  BookmarkMenu(QWidget *parent = 0, const char *name = 0);
  ~BookmarkMenu();

signals:
  void bookmarkSelected(const Bookmark& bm);
  void documentsSelected();

public slots:
  void popupMenu(const QPoint& p);
  void update();

protected:

};

#endif
